> ## Documentation Index
> Fetch the complete documentation index at: https://docs.draftt.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search and filter integration

> Deprecated as of: 2026-06-04. Scheduled for removal: 2026-09-04. Replacement: POST /integration/query. Please migrate to the DrafttQL query endpoint for advanced filtering, field selection, and cursor-based pagination.



## OpenAPI

````yaml https://api.draftt.io/swagger post /integration/search
openapi: 3.1.0
info:
  title: Draftt API
  version: 0.2.1
servers:
  - url: https://api.draftt.io/v1
security:
  - BearerAuth: []
paths:
  /integration/search:
    post:
      tags:
        - Integration
      summary: Search and filter integration
      description: >-
        Deprecated as of: 2026-06-04. Scheduled for removal: 2026-09-04.
        Replacement: POST /integration/query. Please migrate to the DrafttQL
        query endpoint for advanced filtering, field selection, and cursor-based
        pagination.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                filter:
                  type: object
                  properties:
                    id:
                      type: number
                    name:
                      type: string
                    type:
                      type: string
                      enum:
                        - aws
                        - gcp
                        - azure
                        - k8s-explorer
                        - mongodb-atlas
                        - redis-cloud
                        - github
                        - azure-devops
                        - port
                        - slack
                        - artifactory
                        - jira
                        - microsoftTeams
                        - ivanti
                        - tanium
                    status:
                      type: string
                      enum:
                        - Healthy
                        - Partial-Visibility
                        - Failed
                    createdAt:
                      $ref: '#/components/schemas/SearchCreatedAt'
                    updatedAt:
                      $ref: '#/components/schemas/SearchUpdatedAt'
                  example:
                    type: aws
                sort:
                  type: object
                  properties:
                    id:
                      type: string
                      enum:
                        - asc
                        - desc
                    name:
                      type: string
                      enum:
                        - asc
                        - desc
                    type:
                      type: string
                      enum:
                        - asc
                        - desc
                    status:
                      type: string
                      enum:
                        - asc
                        - desc
                    createdAt:
                      type: string
                      enum:
                        - asc
                        - desc
                    updatedAt:
                      type: string
                      enum:
                        - asc
                        - desc
                  example:
                    createdAt: asc
                nextToken:
                  type: string
                  example: eyJza2lwIjoxMH0
                pageSize:
                  type: integer
                  minimum: 1
                  maximum: 100
                  default: 10
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/Integration'
                  nextToken:
                    type: string
                  totalCount:
                    type: integer
                    example: 12
                required:
                  - items
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
      deprecated: true
components:
  schemas:
    SearchCreatedAt:
      type: object
      properties:
        eq:
          type: string
          format: date-time
        gt:
          type: string
          format: date-time
        gte:
          type: string
          format: date-time
        lt:
          type: string
          format: date-time
        lte:
          type: string
          format: date-time
      example:
        gte: '2024-01-01T00:00:00Z'
        lt: '2024-12-31T23:59:59Z'
    SearchUpdatedAt:
      type: object
      properties:
        eq:
          type: string
          format: date-time
        gt:
          type: string
          format: date-time
        gte:
          type: string
          format: date-time
        lt:
          type: string
          format: date-time
        lte:
          type: string
          format: date-time
      example:
        gte: '2024-01-01T00:00:00Z'
        lt: '2024-12-31T23:59:59Z'
    Integration:
      type: object
      properties:
        id:
          type: number
        name:
          type: string
        type:
          type: string
          enum:
            - aws
            - gcp
            - azure
            - k8s-explorer
            - mongodb-atlas
            - redis-cloud
            - github
            - azure-devops
            - port
            - slack
            - artifactory
            - jira
            - microsoftTeams
            - ivanti
            - tanium
        status:
          type: string
          enum:
            - Healthy
            - Partial-Visibility
            - Failed
        details:
          oneOf:
            - type: object
              properties:
                externalId:
                  type: string
                roleArn:
                  type: string
                accountId:
                  type: string
              required:
                - externalId
                - roleArn
                - accountId
              title: aws
              example:
                externalId: abc123
                roleArn: arn:aws:iam::123456789012:role/my-role
                accountId: '123456789012'
            - type: object
              properties:
                subscriptionId:
                  type: string
                tenantId:
                  type: string
                clientId:
                  type: string
              required:
                - subscriptionId
                - tenantId
                - clientId
              title: azure
              example:
                subscriptionId: sub-123
                tenantId: tenant-456
                clientId: client-789
            - type: object
              properties:
                projectId:
                  type: string
              required:
                - projectId
              title: gcp
              example:
                projectId: project-123
            - type: object
              properties:
                clusterId:
                  type: string
                status:
                  type: string
                  enum:
                    - active
                    - inactive
              required:
                - clusterId
                - status
              title: k8s-explorer
              example:
                clusterId: cluster-xyz
                status: active
            - type: object
              properties: {}
              title: mongodb-atlas
              example: {}
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - name
        - type
        - status
        - details
        - createdAt
        - updatedAt
      example:
        id: 1
        name: My AWS Integration
        type: aws
        status: Healthy
        details:
          externalId: abc123
          roleArn: arn:aws:iam::123456789012:role/my-role
          accountId: '123456789012'
        createdAt: '2024-12-01T12:00:00.000Z'
        updatedAt: '2024-12-23T12:00:00.000Z'
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
          required:
            - message
      required:
        - error
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    TooManyRequests:
      description: Too Many Requests
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````